Page MenuHomePhabricator

Archive the FirstSteps extension
Closed, ResolvedPublicRequest

Description

Reason
@Nikerabbit in T216480#4974929 :

Translatewiki.net doesn't use the extension anymore. I don't think anybody else uses it either. Wikiapiary is down so cannot check there. I would recommend archiving the extension.

@Nikerabbit in https://gerrit.wikimedia.org/r/#/c/492460/

I wrote this in the task earlier but looks like nobody noticed: "To my knowledge nobody is using this extension. I would recommend archiving the extension."

Should be double-checked though.

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, or MediaWiki-extensions-Other if there is no project.
  • On-wiki documentation
    • Archive documentation on mediawiki.org ( https://www.mediawiki.org/wiki/Extension:FirstSteps ): replace page contents with {{TNT|Archived extension|last revision id before archiving|reason=archive reasons, per [[phab:T226149]]}}; include a link to this task in the reason parameter.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Archive Wikidata item associated with documentation page ( https://www.wikidata.org/wiki/Q21676755 ) (remove nearly all statements, except instance of (P31) = MediaWiki extension (Q6805426), which should add a qualifier end time (P582) = the YYYY-MM-DD date that you decided to archive extension, generally per edit history, change English (and other languages if possible) description to "archived MediaWiki extension" (and its translation)).
  • Phabricator (dedicated project does not exist; no open dedicated tasks to decline)
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
    • Remove from mediawiki/extensions (along with in .gitmodules).
    • Remove tests in integration/config (zuul/layout.yaml).
  • Repositories

Event Timeline

Aklapper created this task.Jun 20 2019, 5:41 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 20 2019, 5:41 AM
Mainframe98 added a subscriber: Mainframe98.

I couldn't find any uses on WikiApiary: https://wikiapiary.com/wiki/Extension:FirstSteps. Googling the extension description didn't turn up anything either.

Mainframe98 updated the task description. (Show Details)Jun 20 2019, 7:57 AM
Mainframe98 added a project: translatewiki.net.

Change 517990 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[mediawiki/extensions/FirstSteps@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517990

Change 517991 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[translatewiki@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517991

Change 517992 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[mediawiki/extensions@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517992

Change 517993 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[integration/config@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517993

Mainframe98 updated the task description. (Show Details)Jun 20 2019, 8:22 AM

Change 517993 merged by jenkins-bot:
[integration/config@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517993

Mainframe98 moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
Mainframe98 moved this task from Backlog to delete on the GitHub-Mirrors board.

Change 517991 merged by jenkins-bot:
[translatewiki@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517991

Change 517992 merged by MarcoAurelio:
[mediawiki/extensions@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517992

Mainframe98 updated the task description. (Show Details)Jun 21 2019, 10:12 PM
Dinoguy1000 renamed this task from Archive FirstStep extension to Archive the FirstSteps extension.Jun 21 2019, 11:21 PM

Change 517990 merged by MarcoAurelio:
[mediawiki/extensions/FirstSteps@master] Archive the FirstSteps extension

https://gerrit.wikimedia.org/r/517990

Mentioned in SAL (#wikimedia-releng) [2019-06-22T11:36:04Z] <hauskatze> github: deleted wikimedia/mediawiki-extensions-FirstSteps GitHub mirror refs. T226149

MarcoAurelio closed this task as Resolved.Jun 22 2019, 11:36 AM
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio updated the task description. (Show Details)